Skip to main content
POST
Create Run Pull Request

Authorizations

Authorization
string
header
required

Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.

Path Parameters

id
string
required

Unique run identifier (ULID).

Body

application/json

Request body for creating a run pull request.

force
boolean
required

Create the pull request even if the run did not finish with succeeded or partially_succeeded.

Example:

false

model
string | null

Optional model override for generating the pull request description.

Example:

"claude-sonnet-4-6"

Response

Pull request creation was durably accepted

Durable status for the latest explicit pull request creation requested for a run.

id
string
required

Stable identifier for one explicit pull request creation request.

Example:

"01KYYK70WTZT2E551P3H5P0059"

status
enum<string>
required

Durable state of a pull request creation request.

Available options:
pending,
succeeded,
failed
model
string
required

Resolved model identifier used to generate the pull request content.

force
boolean
required

Whether creation was allowed for a run without a successful conclusion.

requested_at
string<date-time>
required
updated_at
string<date-time>
required
pull_request
object | null

Minimal GitHub pull request link associated with a run.

error
string | null